App\Library\Amazon\Classes\LabSupply:
    xml_root_name: LabSupply
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\LabSupply\VariationDataAType
        ageRangeDescription:
            expose: true
            access_type: public_method
            serialized_name: AgeRangeDescription
            accessor:
                getter: getAgeRangeDescription
                setter: setAgeRangeDescription
            type: string
        airFlowCapacity:
            expose: true
            access_type: public_method
            serialized_name: AirFlowCapacity
            accessor:
                getter: getAirFlowCapacity
                setter: setAirFlowCapacity
            type: float
        bulbDiameter:
            expose: true
            access_type: public_method
            serialized_name: BulbDiameter
            accessor:
                getter: getBulbDiameter
                setter: setBulbDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        capacity:
            expose: true
            access_type: public_method
            serialized_name: Capacity
            accessor:
                getter: getCapacity
                setter: setCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        capSize:
            expose: true
            access_type: public_method
            serialized_name: CapSize
            accessor:
                getter: getCapSize
                setter: setCapSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        capType:
            expose: true
            access_type: public_method
            serialized_name: CapType
            accessor:
                getter: getCapType
                setter: setCapType
            type: string
        chamberDepth:
            expose: true
            access_type: public_method
            serialized_name: ChamberDepth
            accessor:
                getter: getChamberDepth
                setter: setChamberDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        chamberHeight:
            expose: true
            access_type: public_method
            serialized_name: ChamberHeight
            accessor:
                getter: getChamberHeight
                setter: setChamberHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        chamberMaterialType:
            expose: true
            access_type: public_method
            serialized_name: ChamberMaterialType
            accessor:
                getter: getChamberMaterialType
                setter: setChamberMaterialType
            type: string
        chamberVolume:
            expose: true
            access_type: public_method
            serialized_name: ChamberVolume
            accessor:
                getter: getChamberVolume
                setter: setChamberVolume
            type: App\Library\Amazon\Classes\VolumeAndVolumeRateDimensionType
        chamberWidth:
            expose: true
            access_type: public_method
            serialized_name: ChamberWidth
            accessor:
                getter: getChamberWidth
                setter: setChamberWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        closureDiameter:
            expose: true
            access_type: public_method
            serialized_name: ClosureDiameter
            accessor:
                getter: getClosureDiameter
                setter: setClosureDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        co2Range:
            expose: true
            access_type: public_method
            serialized_name: Co2Range
            accessor:
                getter: getCo2Range
                setter: setCo2Range
            type: string
        compressorHorsepower:
            expose: true
            access_type: public_method
            serialized_name: CompressorHorsepower
            accessor:
                getter: getCompressorHorsepower
                setter: setCompressorHorsepower
            type: string
        coolantCapacity:
            expose: true
            access_type: public_method
            serialized_name: CoolantCapacity
            accessor:
                getter: getCoolantCapacity
                setter: setCoolantCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        coolantConsumptionRate:
            expose: true
            access_type: public_method
            serialized_name: CoolantConsumptionRate
            accessor:
                getter: getCoolantConsumptionRate
                setter: setCoolantConsumptionRate
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        currentRating:
            expose: true
            access_type: public_method
            serialized_name: CurrentRating
            accessor:
                getter: getCurrentRating
                setter: setCurrentRating
            type: App\Library\Amazon\Classes\CurrentDimensionType
        displayType:
            expose: true
            access_type: public_method
            serialized_name: DisplayType
            accessor:
                getter: getDisplayType
                setter: setDisplayType
            type: string
        drawVolume:
            expose: true
            access_type: public_method
            serialized_name: DrawVolume
            accessor:
                getter: getDrawVolume
                setter: setDrawVolume
            type: App\Library\Amazon\Classes\VolumeAndVolumeRateDimensionType
        dropsPerMilliliter:
            expose: true
            access_type: public_method
            serialized_name: DropsPerMilliliter
            accessor:
                getter: getDropsPerMilliliter
                setter: setDropsPerMilliliter
            type: float
        dropVolume:
            expose: true
            access_type: public_method
            serialized_name: DropVolume
            accessor:
                getter: getDropVolume
                setter: setDropVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        extensionLength:
            expose: true
            access_type: public_method
            serialized_name: ExtensionLength
            accessor:
                getter: getExtensionLength
                setter: setExtensionLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        fuelType:
            expose: true
            access_type: public_method
            serialized_name: FuelType
            accessor:
                getter: getFuelType
                setter: setFuelType
            type: string
        graduationInterval:
            expose: true
            access_type: public_method
            serialized_name: GraduationInterval
            accessor:
                getter: getGraduationInterval
                setter: setGraduationInterval
            type: App\Library\Amazon\Classes\GraduationIntervalType
        graduationRange:
            expose: true
            access_type: public_method
            serialized_name: GraduationRange
            accessor:
                getter: getGraduationRange
                setter: setGraduationRange
            type: App\Library\Amazon\Classes\StringLengthDimensionType
        heatedElementDimensions:
            expose: true
            access_type: public_method
            serialized_name: HeatedElementDimensions
            accessor:
                getter: getHeatedElementDimensions
                setter: setHeatedElementDimensions
            type: string
        heaterSurfaceMaterialType:
            expose: true
            access_type: public_method
            serialized_name: HeaterSurfaceMaterialType
            accessor:
                getter: getHeaterSurfaceMaterialType
                setter: setHeaterSurfaceMaterialType
            type: string
        heatingElementType:
            expose: true
            access_type: public_method
            serialized_name: HeatingElementType
            accessor:
                getter: getHeatingElementType
                setter: setHeatingElementType
            type: string
        heatTime:
            expose: true
            access_type: public_method
            serialized_name: HeatTime
            accessor:
                getter: getHeatTime
                setter: setHeatTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        holdingTime:
            expose: true
            access_type: public_method
            serialized_name: HoldingTime
            accessor:
                getter: getHoldingTime
                setter: setHoldingTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        horsepower:
            expose: true
            access_type: public_method
            serialized_name: Horsepower
            accessor:
                getter: getHorsepower
                setter: setHorsepower
            type: float
        immersionDepth:
            expose: true
            access_type: public_method
            serialized_name: ImmersionDepth
            accessor:
                getter: getImmersionDepth
                setter: setImmersionDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        inletConnectionType:
            expose: true
            access_type: public_method
            serialized_name: InletConnectionType
            accessor:
                getter: getInletConnectionType
                setter: setInletConnectionType
            type: string
        inletOutsideDimensions:
            expose: true
            access_type: public_method
            serialized_name: InletOutsideDimensions
            accessor:
                getter: getInletOutsideDimensions
                setter: setInletOutsideDimensions
            type: App\Library\Amazon\Classes\StringLengthDimensionType
        insideDepth:
            expose: true
            access_type: public_method
            serialized_name: InsideDepth
            accessor:
                getter: getInsideDepth
                setter: setInsideDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        insideDiameterString:
            expose: true
            access_type: public_method
            serialized_name: InsideDiameterString
            accessor:
                getter: getInsideDiameterString
                setter: setInsideDiameterString
            type: App\Library\Amazon\Classes\LengthDimensionType
        insideHeightString:
            expose: true
            access_type: public_method
            serialized_name: InsideHeightString
            accessor:
                getter: getInsideHeightString
                setter: setInsideHeightString
            type: App\Library\Amazon\Classes\LengthDimensionType
        insideLengthString:
            expose: true
            access_type: public_method
            serialized_name: InsideLengthString
            accessor:
                getter: getInsideLengthString
                setter: setInsideLengthString
            type: App\Library\Amazon\Classes\LengthDimensionType
        insideWidthString:
            expose: true
            access_type: public_method
            serialized_name: InsideWidthString
            accessor:
                getter: getInsideWidthString
                setter: setInsideWidthString
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDepth:
            expose: true
            access_type: public_method
            serialized_name: ItemDepth
            accessor:
                getter: getItemDepth
                setter: setItemDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameter
            accessor:
                getter: getItemDiameter
                setter: setItemDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        itemThickness:
            expose: true
            access_type: public_method
            serialized_name: ItemThickness
            accessor:
                getter: getItemThickness
                setter: setItemThickness
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemVolume:
            expose: true
            access_type: public_method
            serialized_name: ItemVolume
            accessor:
                getter: getItemVolume
                setter: setItemVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        lightPathDistance:
            expose: true
            access_type: public_method
            serialized_name: LightPathDistance
            accessor:
                getter: getLightPathDistance
                setter: setLightPathDistance
            type: App\Library\Amazon\Classes\LengthDimensionType
        lowerTemperatureRating:
            expose: true
            access_type: public_method
            serialized_name: LowerTemperatureRating
            accessor:
                getter: getLowerTemperatureRating
                setter: setLowerTemperatureRating
            type: App\Library\Amazon\Classes\TemperatureDimensionType
        markingColor:
            expose: true
            access_type: public_method
            serialized_name: MarkingColor
            accessor:
                getter: getMarkingColor
                setter: setMarkingColor
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        maximumDiameter:
            expose: true
            access_type: public_method
            serialized_name: MaximumDiameter
            accessor:
                getter: getMaximumDiameter
                setter: setMaximumDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumDispensingVolume:
            expose: true
            access_type: public_method
            serialized_name: MaximumDispensingVolume
            accessor:
                getter: getMaximumDispensingVolume
                setter: setMaximumDispensingVolume
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        maximumEnergyOutput:
            expose: true
            access_type: public_method
            serialized_name: MaximumEnergyOutput
            accessor:
                getter: getMaximumEnergyOutput
                setter: setMaximumEnergyOutput
            type: App\Library\Amazon\Classes\EnergyDimensionType
        maximumInletPressure:
            expose: true
            access_type: public_method
            serialized_name: MaximumInletPressure
            accessor:
                getter: getMaximumInletPressure
                setter: setMaximumInletPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        maximumRelativeCentrifugalForce:
            expose: true
            access_type: public_method
            serialized_name: MaximumRelativeCentrifugalForce
            accessor:
                getter: getMaximumRelativeCentrifugalForce
                setter: setMaximumRelativeCentrifugalForce
            type: App\Library\Amazon\Classes\ForceDimensionType
        maximumSampleVolume:
            expose: true
            access_type: public_method
            serialized_name: MaximumSampleVolume
            accessor:
                getter: getMaximumSampleVolume
                setter: setMaximumSampleVolume
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        maximumSpeed:
            expose: true
            access_type: public_method
            serialized_name: MaximumSpeed
            accessor:
                getter: getMaximumSpeed
                setter: setMaximumSpeed
            type: App\Library\Amazon\Classes\SpeedDimensionType
        maximumStirringSpeed:
            expose: true
            access_type: public_method
            serialized_name: MaximumStirringSpeed
            accessor:
                getter: getMaximumStirringSpeed
                setter: setMaximumStirringSpeed
            type: App\Library\Amazon\Classes\SpeedDimensionType
        maximumStirringVolume:
            expose: true
            access_type: public_method
            serialized_name: MaximumStirringVolume
            accessor:
                getter: getMaximumStirringVolume
                setter: setMaximumStirringVolume
            type: App\Library\Amazon\Classes\VolumeAndVolumeRateDimensionType
        maximumTemperature:
            expose: true
            access_type: public_method
            serialized_name: MaximumTemperature
            accessor:
                getter: getMaximumTemperature
                setter: setMaximumTemperature
            type: App\Library\Amazon\Classes\TemperatureDimensionType
        maximumWorkingVolume:
            expose: true
            access_type: public_method
            serialized_name: MaximumWorkingVolume
            accessor:
                getter: getMaximumWorkingVolume
                setter: setMaximumWorkingVolume
            type: App\Library\Amazon\Classes\VolumeAndVolumeRateDimensionType
        mediaColor:
            expose: true
            access_type: public_method
            serialized_name: MediaColor
            accessor:
                getter: getMediaColor
                setter: setMediaColor
            type: string
        mediaType:
            expose: true
            access_type: public_method
            serialized_name: MediaType
            accessor:
                getter: getMediaType
                setter: setMediaType
            type: string
        minimumDispensingVolume:
            expose: true
            access_type: public_method
            serialized_name: MinimumDispensingVolume
            accessor:
                getter: getMinimumDispensingVolume
                setter: setMinimumDispensingVolume
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        minimumEnergyOutput:
            expose: true
            access_type: public_method
            serialized_name: MinimumEnergyOutput
            accessor:
                getter: getMinimumEnergyOutput
                setter: setMinimumEnergyOutput
            type: App\Library\Amazon\Classes\EnergyDimensionType
        minimumInletWaterTemperature:
            expose: true
            access_type: public_method
            serialized_name: MinimumInletWaterTemperature
            accessor:
                getter: getMinimumInletWaterTemperature
                setter: setMinimumInletWaterTemperature
            type: App\Library\Amazon\Classes\TemperatureDimensionType
        minimumSampleVolume:
            expose: true
            access_type: public_method
            serialized_name: MinimumSampleVolume
            accessor:
                getter: getMinimumSampleVolume
                setter: setMinimumSampleVolume
            type: App\Library\Amazon\Classes\VolumeAndVolumeRateDimensionType
        minimumSpeed:
            expose: true
            access_type: public_method
            serialized_name: MinimumSpeed
            accessor:
                getter: getMinimumSpeed
                setter: setMinimumSpeed
            type: App\Library\Amazon\Classes\SpeedDimensionType
        minimumStirringSpeed:
            expose: true
            access_type: public_method
            serialized_name: MinimumStirringSpeed
            accessor:
                getter: getMinimumStirringSpeed
                setter: setMinimumStirringSpeed
            type: App\Library\Amazon\Classes\SpeedDimensionType
        minimumWorkingVolume:
            expose: true
            access_type: public_method
            serialized_name: MinimumWorkingVolume
            accessor:
                getter: getMinimumWorkingVolume
                setter: setMinimumWorkingVolume
            type: App\Library\Amazon\Classes\VolumeAndVolumeRateDimensionType
        narrowEndDiameter:
            expose: true
            access_type: public_method
            serialized_name: NarrowEndDiameter
            accessor:
                getter: getNarrowEndDiameter
                setter: setNarrowEndDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        neckDiameter:
            expose: true
            access_type: public_method
            serialized_name: NeckDiameter
            accessor:
                getter: getNeckDiameter
                setter: setNeckDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        numberOfChannels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfChannels
            accessor:
                getter: getNumberOfChannels
                setter: setNumberOfChannels
            type: integer
        numberOfHeaters:
            expose: true
            access_type: public_method
            serialized_name: NumberOfHeaters
            accessor:
                getter: getNumberOfHeaters
                setter: setNumberOfHeaters
            type: integer
        numberOfRacks:
            expose: true
            access_type: public_method
            serialized_name: NumberOfRacks
            accessor:
                getter: getNumberOfRacks
                setter: setNumberOfRacks
            type: integer
        numberOfShelves:
            expose: true
            access_type: public_method
            serialized_name: NumberOfShelves
            accessor:
                getter: getNumberOfShelves
                setter: setNumberOfShelves
            type: string
        numberOfTrays:
            expose: true
            access_type: public_method
            serialized_name: NumberOfTrays
            accessor:
                getter: getNumberOfTrays
                setter: setNumberOfTrays
            type: integer
        numberOfTubes:
            expose: true
            access_type: public_method
            serialized_name: NumberOfTubes
            accessor:
                getter: getNumberOfTubes
                setter: setNumberOfTubes
            type: integer
        numberOfWells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfWells
            accessor:
                getter: getNumberOfWells
                setter: setNumberOfWells
            type: integer
        numberOfWindows:
            expose: true
            access_type: public_method
            serialized_name: NumberOfWindows
            accessor:
                getter: getNumberOfWindows
                setter: setNumberOfWindows
            type: integer
        numberOfZones:
            expose: true
            access_type: public_method
            serialized_name: NumberOfZones
            accessor:
                getter: getNumberOfZones
                setter: setNumberOfZones
            type: integer
        operatingFrequency:
            expose: true
            access_type: public_method
            serialized_name: OperatingFrequency
            accessor:
                getter: getOperatingFrequency
                setter: setOperatingFrequency
            type: App\Library\Amazon\Classes\FrequencyDimensionType
        operatingPressure:
            expose: true
            access_type: public_method
            serialized_name: OperatingPressure
            accessor:
                getter: getOperatingPressure
                setter: setOperatingPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        orbitLength:
            expose: true
            access_type: public_method
            serialized_name: OrbitLength
            accessor:
                getter: getOrbitLength
                setter: setOrbitLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        outputCapacity:
            expose: true
            access_type: public_method
            serialized_name: OutputCapacity
            accessor:
                getter: getOutputCapacity
                setter: setOutputCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        outsideDiameter:
            expose: true
            access_type: public_method
            serialized_name: OutsideDiameter
            accessor:
                getter: getOutsideDiameter
                setter: setOutsideDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        plateArea:
            expose: true
            access_type: public_method
            serialized_name: PlateArea
            accessor:
                getter: getPlateArea
                setter: setPlateArea
            type: string
        plateOutsideDiameter:
            expose: true
            access_type: public_method
            serialized_name: PlateOutsideDiameter
            accessor:
                getter: getPlateOutsideDiameter
                setter: setPlateOutsideDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        poreSize:
            expose: true
            access_type: public_method
            serialized_name: PoreSize
            accessor:
                getter: getPoreSize
                setter: setPoreSize
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        pressureFlowRate:
            expose: true
            access_type: public_method
            serialized_name: PressureFlowRate
            accessor:
                getter: getPressureFlowRate
                setter: setPressureFlowRate
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        productGrade:
            expose: true
            access_type: public_method
            serialized_name: ProductGrade
            accessor:
                getter: getProductGrade
                setter: setProductGrade
            type: string
        purificationMethod:
            expose: true
            access_type: public_method
            serialized_name: PurificationMethod
            accessor:
                getter: getPurificationMethod
                setter: setPurificationMethod
            type: string
        readoutAccuracy:
            expose: true
            access_type: public_method
            serialized_name: ReadoutAccuracy
            accessor:
                getter: getReadoutAccuracy
                setter: setReadoutAccuracy
            type: string
        recoveryPercentage:
            expose: true
            access_type: public_method
            serialized_name: RecoveryPercentage
            accessor:
                getter: getRecoveryPercentage
                setter: setRecoveryPercentage
            type: float
        reservoirCapacity:
            expose: true
            access_type: public_method
            serialized_name: ReservoirCapacity
            accessor:
                getter: getReservoirCapacity
                setter: setReservoirCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        sampleVolume:
            expose: true
            access_type: public_method
            serialized_name: SampleVolume
            accessor:
                getter: getSampleVolume
                setter: setSampleVolume
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        septaType:
            expose: true
            access_type: public_method
            serialized_name: SeptaType
            accessor:
                getter: getSeptaType
                setter: setSeptaType
            type: string
        shakingSpeed:
            expose: true
            access_type: public_method
            serialized_name: ShakingSpeed
            accessor:
                getter: getShakingSpeed
                setter: setShakingSpeed
            type: App\Library\Amazon\Classes\SpeedDimensionType
        stemOutsideDiameter:
            expose: true
            access_type: public_method
            serialized_name: StemOutsideDiameter
            accessor:
                getter: getStemOutsideDiameter
                setter: setStemOutsideDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        stopperNumber:
            expose: true
            access_type: public_method
            serialized_name: StopperNumber
            accessor:
                getter: getStopperNumber
                setter: setStopperNumber
            type: string
        suctionFlowRate:
            expose: true
            access_type: public_method
            serialized_name: SuctionFlowRate
            accessor:
                getter: getSuctionFlowRate
                setter: setSuctionFlowRate
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        supportedMediaSize:
            expose: true
            access_type: public_method
            serialized_name: SupportedMediaSize
            accessor:
                getter: getSupportedMediaSize
                setter: setSupportedMediaSize
            type: string
        temperatureAccuracy:
            expose: true
            access_type: public_method
            serialized_name: TemperatureAccuracy
            accessor:
                getter: getTemperatureAccuracy
                setter: setTemperatureAccuracy
            type: string
        temperatureControlPrecision:
            expose: true
            access_type: public_method
            serialized_name: TemperatureControlPrecision
            accessor:
                getter: getTemperatureControlPrecision
                setter: setTemperatureControlPrecision
            type: string
        temperatureRange:
            expose: true
            access_type: public_method
            serialized_name: TemperatureRange
            accessor:
                getter: getTemperatureRange
                setter: setTemperatureRange
            type: App\Library\Amazon\Classes\StringTemperatureDimensionType
        temperatureRecovery:
            expose: true
            access_type: public_method
            serialized_name: TemperatureRecovery
            accessor:
                getter: getTemperatureRecovery
                setter: setTemperatureRecovery
            type: App\Library\Amazon\Classes\TimeDimensionType
        temperatureStability:
            expose: true
            access_type: public_method
            serialized_name: TemperatureStability
            accessor:
                getter: getTemperatureStability
                setter: setTemperatureStability
            type: string
        temperatureUniformity:
            expose: true
            access_type: public_method
            serialized_name: TemperatureUniformity
            accessor:
                getter: getTemperatureUniformity
                setter: setTemperatureUniformity
            type: App\Library\Amazon\Classes\StringTemperatureDimensionType
        timerRange:
            expose: true
            access_type: public_method
            serialized_name: TimerRange
            accessor:
                getter: getTimerRange
                setter: setTimerRange
            type: App\Library\Amazon\Classes\StringTimeDimensionType
        tubeCapacity:
            expose: true
            access_type: public_method
            serialized_name: TubeCapacity
            accessor:
                getter: getTubeCapacity
                setter: setTubeCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        tubeSize:
            expose: true
            access_type: public_method
            serialized_name: TubeSize
            accessor:
                getter: getTubeSize
                setter: setTubeSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        upperTemperatureRating:
            expose: true
            access_type: public_method
            serialized_name: UpperTemperatureRating
            accessor:
                getter: getUpperTemperatureRating
                setter: setUpperTemperatureRating
            type: App\Library\Amazon\Classes\TemperatureDimensionType
        volumeAccuracy:
            expose: true
            access_type: public_method
            serialized_name: VolumeAccuracy
            accessor:
                getter: getVolumeAccuracy
                setter: setVolumeAccuracy
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        volumePrecision:
            expose: true
            access_type: public_method
            serialized_name: VolumePrecision
            accessor:
                getter: getVolumePrecision
                setter: setVolumePrecision
            type: string
        volumeTolerance:
            expose: true
            access_type: public_method
            serialized_name: VolumeTolerance
            accessor:
                getter: getVolumeTolerance
                setter: setVolumeTolerance
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        volumetricToleranceClass:
            expose: true
            access_type: public_method
            serialized_name: VolumetricToleranceClass
            accessor:
                getter: getVolumetricToleranceClass
                setter: setVolumetricToleranceClass
            type: string
        waterRemovalCapacity:
            expose: true
            access_type: public_method
            serialized_name: WaterRemovalCapacity
            accessor:
                getter: getWaterRemovalCapacity
                setter: setWaterRemovalCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: float
        wellShape:
            expose: true
            access_type: public_method
            serialized_name: WellShape
            accessor:
                getter: getWellShape
                setter: setWellShape
            type: string
        wellVolume:
            expose: true
            access_type: public_method
            serialized_name: WellVolume
            accessor:
                getter: getWellVolume
                setter: setWellVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        wideEndDiameter:
            expose: true
            access_type: public_method
            serialized_name: WideEndDiameter
            accessor:
                getter: getWideEndDiameter
                setter: setWideEndDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        model:
            expose: true
            access_type: public_method
            serialized_name: Model
            accessor:
                getter: getModel
                setter: setModel
            type: string
        volumeCapacityName:
            expose: true
            access_type: public_method
            serialized_name: VolumeCapacityName
            accessor:
                getter: getVolumeCapacityName
                setter: setVolumeCapacityName
            type: string
        itemDiameterString:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameterString
            accessor:
                getter: getItemDiameterString
                setter: setItemDiameterString
            type: App\Library\Amazon\Classes\LengthDimensionType
        sizeName:
            expose: true
            access_type: public_method
            serialized_name: SizeName
            accessor:
                getter: getSizeName
                setter: setSizeName
            type: string
        colorName:
            expose: true
            access_type: public_method
            serialized_name: ColorName
            accessor:
                getter: getColorName
                setter: setColorName
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            xml_list:
                inline: true
                entry_name: ColorMap
            type: array<string>
        frameMaterial:
            expose: true
            access_type: public_method
            serialized_name: FrameMaterial
            accessor:
                getter: getFrameMaterial
                setter: setFrameMaterial
            type: string
